<app-navbar></app-navbar>
<div class="page-content screen-pt-50 screen-mb-50">
    <div class="container mx-auto">
       <div class="card mt-0">
          <div class="row justify-content-start px-3">
             <div class="image-bg mr-3">
                <img class="user-img fit-image" src="{{image}}" alt="">
                <div class="text-left seller-d">
                   <h2 class="mb-3">
                      {{fullname}}
                   </h2>
                   <ul class="rating d-block d-lg-none d-md-none d-sm-block mb-1">
                      <li>
                         <span class="fa fa-star active"></span>
                      </li>
                      <li>
                         <span class="fa fa-star active"></span>
                      </li>
                      <li>
                         <span class="fa fa-star active"></span>
                      </li>
                      <li>
                         <span class="fa fa-star active"></span>
                      </li>
                      <li>
                         <span class="fa fa-star active"></span>
                      </li>
                      <li>
                         <a href="void0">13 avis</a>
                      </li>
                   </ul>
                   <h6><span class="bi-phone"></span> Numéro de téléphone vérifié</h6>
                </div>
                <!-- <div class="dropdown mob-dro float-right">
                   <button type="button" class="btn btn-dotdrop" data-bs-toggle="dropdown">
                   <i class="fa-solid fa-ellipsis-vertical"></i>
                   </button>
                   <ul class="dropdown-menu">
                      <li class="dropli">
                         <h6>Plus d‘options</h6>
                      </li>
                      <li><a class="dropdown-item" href="#"><span class="bi-flag"></span> Signaler cet utilisateur</a></li>
                      <li><a class="dropdown-item" href="#"><span class="bi-share"></span> Partager</a></li>
                   </ul>
                </div> -->
             </div>
             <div class="">
                <ul class="seler-data">
                   <li>
                      <span class="bi-bookmarks"></span> Membre depuis {{created_at |date:'MMMM d, y'}}
                   </li>
                   <!-- <li>
                      <span class="bi-clock"></span> Répond généralement dans les 3 heures
                   </li> -->
                </ul>
                <!-- <ul class="rating d-none d-lg-block d-md-block d-sm-none">
                   <li>
                      <span class="fa fa-star active"></span>
                   </li>
                   <li>
                      <span class="fa fa-star active"></span>
                   </li>
                   <li>
                      <span class="fa fa-star active"></span>
                   </li>
                   <li>
                      <span class="fa fa-star active"></span>
                   </li>
                   <li>
                      <span class="fa fa-star active"></span>
                   </li>
                   <li>
                      <a href="">13 avis</a>
                   </li>
                </ul> -->
             </div>
          </div>
       </div>
    </div>
    <div class="container">
       <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12 col-12">
             <ul class="sellr-list">
                <li *ngFor="let item of sellerProducts">
                   <div class="row" routerLink="/view-product/{{item._id}}">
                      <div class="col-lg-2 col-md-3 col-sm-3 col-5">
                         <div class="img-pp">
                           <div *ngIf="item.images.length != 0;else other_content">
                              <img class="mw-100" src="{{baseurl}}static/public/{{item.images[0]}}">
                           </div>
                           <ng-template #other_content>
                              <img class="mw-100"  src="./assets/build/img/nopro2.png">
                           </ng-template>
                           
                            

                         </div>
                      </div>
                      <div class="col-lg-10 col-md-9 col-sm-9 col-7">
                         <div class="ptb-10">
                            <!-- <h5 class="s-h5">2pots de peinture Alpina couleur vert sapin plus pinceau <span class="bi-heart hrt-like"></span></h5> -->
                            <p class="mb-0">{{item.title}}</p>
                            <div class="d-block col-12 mb-3">
                               <!-- <ul class="rating " style="float:left;">
                                  <li>
                                     <span class="fa fa-star active"></span>
                                  </li>
                                  <li>
                                     <span class="fa fa-star active"></span>
                                  </li>
                                  <li>
                                     <span class="fa fa-star active"></span>
                                  </li>
                                  <li>
                                     <span class="fa fa-star active"></span>
                                  </li>
                                  <li>
                                     <span class="fa fa-star active"></span>
                                  </li>
                                  <li>
                                     <span>(13)</span>
                                  </li>
                               </ul> -->

                               <div class="ra-ting-spn" style="cursor: not-allowed !important;position: relative;
                                       z-index: 1;">
                                        <ngb-rating [max]=5 [(rate)]="item.avgRating"></ngb-rating>
                                        <span class="value"  >{{item.avgRating}} sur {{item.totalRating}}</span> 
                                    </div>

                            </div>
                            <div class="col-12 pt-3">
                               <h4 class="w-100 d-block" style="float:left;"><strong>{{item.price}} CFA</strong></h4>
                            </div>
                         </div>
                      </div>
                   </div>
                </li>
                
             </ul>
          </div>
       </div>
    </div>
 </div>
 <app-footer></app-footer>